Padre::Util::Template(3)

NAME
Padre::Util - Padre utility functions for new-file-templates

DESCRIPTION
The "Padre::Util::Template" package contains helper functions for templates used to create new files. They should be backward-compatible all the time as they might be used by user-created templates not living on the Padre storage.

We're using Template::Tiny which is unable to pass arguments to method calls, so we need to have one method per case.

FUNCTIONS

  "new_modulename"
Asks for the name of a new module which is returned.

Return the user replied value on subsequent calls.

COPYRIGHT
Copyright 2008-2012 The Padre development team as listed in Padre.pm.

This program is free software; you can redistribute it and/or modify it under the same terms as Perl itself.

The full text of the license can be found in the LICENSE file included with this module.